import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { dealVO } from '../../frame/VOBase';
export class FVO_dictType {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: number = undefined;
  @ApiProperty({ description: '字典类型名称' })
  'title': string = undefined;
  @ApiProperty({ description: '编码' })
  'code': string = undefined;
  @ApiProperty({ description: '备注' })
  'remark': string = undefined;
  @ApiProperty({ description: '是否使用' })
  'is_use': string = undefined;
}

export class QDTO_dictType {
  @ApiProperty({ description: '字典类型名称' })
  'title': string = undefined;
  @ApiProperty({ description: '编码' })
  'code': string = undefined;
  @ApiProperty({ description: '是否使用' })
  'is_use': string = undefined;
}

export class QVO_dictType extends FVO_dictType {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_dictType {
  @ApiProperty({ description: '字典类型名称' })
  @Rule(RuleType['string']().empty(''))
  'title': string = undefined;
  @ApiProperty({ description: '编码' })
  @Rule(RuleType['string']().empty(''))
  'code': string = undefined;
  @ApiProperty({ description: '备注' })
  @Rule(RuleType['string']().empty(''))
  'remark': string = undefined;
  @ApiProperty({ description: '是否使用' })
  @Rule(RuleType['string']().empty(''))
  'is_use': string = undefined;
}

export class CVO_dictType extends FVO_dictType {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_dictType extends CDTO_dictType {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_dictType extends FVO_dictType {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
